/*
 * location-module
 *
 * Copyright (c) 2010-2013 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Youngae Kang <youngae.kang@samsung.com>, Minjune Kim <sena06.kim@samsung.com>
 *          Genie Kim <daejins.kim@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LOCATION_OSM_POI_H__
#define __LOCATION_OSM_POI_H__

#include <glib.h>
#include <location-map-types.h>

int osm_search_poi_by_position(OsmHandle *osm,
			const LocationPOIFilter 	*filter,
			const LocationPosition 		*position,
			const LocationMapPref 		*svc_pref,
			const LocationPOIPreference 	*pref,
			LocationPOICB 			cb,
			const gpointer 			user_data,
			guint 				*req_id);

int osm_search_poi_by_area(OsmHandle *osm,
			const LocationPOIFilter 	*filter,
			const LocationBoundary 		*boundary,
			const LocationMapPref	 	*svc_pref,
			const LocationPOIPreference 	*pref,
			LocationPOICB 			cb,
			const gpointer 			user_data,
			guint 				*req_id);

#endif /* __LOCATION_OSM_ROUTE_H__ */
