/*
 * location-module
 *
 * Copyright (c) 2010-2013 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Youngae Kang <youngae.kang@samsung.com>, Minjune Kim <sena06.kim@samsung.com>
 *          Genie Kim <daejins.kim@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LOCATION_OSM_H__
#define __LOCATION_OSM_H__

#include <geoclue/geoclue-geocode.h>
#include <geoclue/geoclue-reverse-geocode.h>
#include <geoclue/geoclue-provider.h>
#include <geoclue/geoclue-poi.h>
#include <location-module.h>

typedef struct {
	char* service_name;
	GeoclueGeocode* geocoder;
	GeoclueReverseGeocode* rev_geocoder;
	GeocluePoi *poi;
} OsmHandle;

typedef struct {
	int req_id;
	LocationPositionCB pos_cb;
	LocationAddressCB addr_cb;
	LocationPOICB	  poi_cb;
	gpointer userdata;
} OsmHandleData;

#endif /* __LOCATION_OSM_H__ */
