/*
 * location-module
 *
 * Copyright (c) 2010-2013 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Contact: Youngae Kang <youngae.kang@samsung.com>, Minjune Kim <sena06.kim@samsung.com>
 *          Genie Kim <daejins.kim@samsung.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __OSM_HTTP_H__
#define __OSM_HTTP_H__

#include <location-map-types.h>

typedef struct {
	gpointer handle;
	LocationPosition *origin;
	LocationPosition *dest;
	GList *waypoint;
	LocationRouteCB route_cb;
	gpointer user_data;
} osm_data_t;

#define CURL_MUTEX_LOCK(x)	MOD_LOGW ("Try to lock mutex[%p]", x);	\
							pthread_mutex_lock (x);

#define CURL_MUTEX_UNLOCK(x)	MOD_LOGW ("Try to unlock mutex[%p]", x);	\
							pthread_mutex_unlock (x);

int curl_request_route_async(const char *url, osm_data_t *data, guint *req_id);

int curl_cancel_route_request (guint req_id);

#endif /* __OSM_HTTP_H__ */
